cascading.tuple

## Class TupleEntryStream

- java.lang.Object
- - cascading.tuple.TupleEntryStream

-     public class TupleEntryStream
      extends Object

  TupleEntryStream provides helper methods to create `TupleEntry` `Stream` instances from `Tap` instances.

  This class is a convenience class over the methods provided on the Tap class that provide the same functionality. This class exists to help overcome any generics compiler warnings.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TupleEntryStream()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.stream.Stream<TupleEntry>` | `entryStream(Tap tap, FlowProcess flowProcess)` Method entryStream returns a `Stream` of `TupleEntry` instances from the given `Tap` instance.
    `static java.util.stream.Stream<TupleEntry>` | `entryStream(Tap tap, FlowProcess flowProcess, Fields selector)` Method entryStream returns a `Stream` of `TupleEntry` instances from the given `Tap` instance.
    `static java.util.stream.Stream<TupleEntry>` | `entryStreamCopy(Tap tap, FlowProcess flowProcess)` Method entryStreamCopy returns a `Stream` of `TupleEntry` instances from the given `Tap` instance.
    `static java.util.stream.Stream<TupleEntry>` | `entryStreamCopy(Tap tap, FlowProcess flowProcess, Fields selector)` Method entryStreamCopy returns a `Stream` of `TupleEntry` instances from the given `Tap` instance.
    `static java.util.function.ToDoubleFunction<TupleEntry>` | `fieldToDouble(Comparable name)` Method fieldToDouble returns a `Function` that returns the double in the given named field or position.
    `static java.util.function.ToDoubleFunction<TupleEntry>` | `fieldToDouble(Fields fields)` Method fieldToDouble returns a `Function` that returns the double in the given named field or position.
    `static java.util.function.ToIntFunction<TupleEntry>` | `fieldToInt(Comparable name)` Method fieldToInt returns a `Function` that returns the int in the given named field or position.
    `static java.util.function.ToIntFunction<TupleEntry>` | `fieldToInt(Fields fields)` Method fieldToInt returns a `Function` that returns the int in the given named field or position.
    `static java.util.function.ToLongFunction<TupleEntry>` | `fieldToLong(Comparable name)` Method fieldToLong returns a `Function` that returns the long in the given named field or position.
    `static java.util.function.ToLongFunction<TupleEntry>` | `fieldToLong(Fields fields)` Method fieldToLong returns a `Function` that returns the long in the given named field or position.
    `static <R> java.util.function.Function<TupleEntry,? extends R>` | `fieldToObject(Fields fields)` Method fieldToObject returns a `Function` that returns the object in the given named field or position.
    `static <R> java.util.function.Function<TupleEntry,R>` | `fieldToObject(Fields fields, Class<R> type)` Method fieldToObject returns a `Function` that returns the object in the given named field or position coerced to the requested `Class`.
    `static <R> java.util.function.Function<TupleEntry,R>` | `fieldToObject(Fields fields, CoercibleType<R> type)` Method fieldToObject returns a `Function` that returns the object in the given named field or position coerced to the requested `CoercibleType` type.
    `static Tap` | `writeEntry(Iterable<TupleEntry> iterable, java.util.function.Supplier<Tap> into, FlowProcess flowProcess)` Method writeEntry will add each `TupleEntry` instance to the `TupleEntryCollector` provided by the given `Tap` instance.
    `static Tap` | `writeEntry(Iterable<TupleEntry> iterable, Tap into, FlowProcess flowProcess)` Method writeEntry will add each `TupleEntry` instance to the `TupleEntryCollector` provided by the given `Tap` instance.
    `static Tap` | `writeEntry(java.util.stream.Stream<TupleEntry> stream, java.util.function.Supplier<Tap> into, FlowProcess flowProcess)` Method writeEntry will add each `TupleEntry` instance to the `TupleEntryCollector` provided by the given `Tap` instance.
    `static Tap` | `writeEntry(java.util.stream.Stream<TupleEntry> stream, Tap into, FlowProcess flowProcess)` Method writeEntry will add each `TupleEntry` instance to the `TupleEntryCollector` provided by the given `Tap` instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TupleEntryStream

          public TupleEntryStream()

  - ### Method Detail

    - #### entryStream

          public static java.util.stream.Stream<TupleEntry> entryStream(Tap tap,
                                                                        FlowProcess flowProcess)

      Method entryStream returns a `Stream` of `TupleEntry` instances from the given `Tap` instance.

      Also see `Tap.entryStream(FlowProcess)`.

      Parameters:
        `tap` - the Tap to open
        `flowProcess` - represents the current platform configuration
      Returns:
        a Stream of TupleEntry instances

    - #### entryStreamCopy

          public static java.util.stream.Stream<TupleEntry> entryStreamCopy(Tap tap,
                                                                            FlowProcess flowProcess)

      Method entryStreamCopy returns a `Stream` of `TupleEntry` instances from the given `Tap` instance.

      This method returns an TupleEntry instance suitable for caching.

      Also see `Tap.entryStreamCopy(FlowProcess)`.

      Parameters:
        `tap` - the Tap to open
        `flowProcess` - represents the current platform configuration
      Returns:
        a Stream of TupleEntry instances

    - #### entryStream

          public static java.util.stream.Stream<TupleEntry> entryStream(Tap tap,
                                                                        FlowProcess flowProcess,
                                                                        Fields selector)

      Method entryStream returns a `Stream` of `TupleEntry` instances from the given `Tap` instance.

      Also see `Tap.entryStream(FlowProcess, Fields)`.

      Parameters:
        `tap` - the Tap to open
        `flowProcess` - represents the current platform configuration
        `selector` - the fields to select from the underlying TupleEntry
      Returns:
        a Stream of TupleEntry instances

    - #### entryStreamCopy

          public static java.util.stream.Stream<TupleEntry> entryStreamCopy(Tap tap,
                                                                            FlowProcess flowProcess,
                                                                            Fields selector)

      Method entryStreamCopy returns a `Stream` of `TupleEntry` instances from the given `Tap` instance.

      This method returns an TupleEntry instance suitable for caching.

      Also see `Tap.entryStreamCopy(FlowProcess)`.

      Parameters:
        `tap` - the Tap to open
        `flowProcess` - represents the current platform configuration
        `selector` - the fields to select from the underlying TupleEntry
      Returns:
        a Stream of TupleEntry instances

    - #### fieldToObject

          public static <R> java.util.function.Function<TupleEntry,? extends R> fieldToObject(Fields fields)

      Method fieldToObject returns a `Function` that returns the object in the given named field or position.
      Type Parameters:
        `R` - the type of the object returned
      Parameters:
        `fields` - the field to select, only first field will be honored
      Returns:
        a Function returning the object or null in the selected field

    - #### fieldToObject

          public static <R> java.util.function.Function<TupleEntry,R> fieldToObject(Fields fields,
                                                                                    CoercibleType<R> type)

      Method fieldToObject returns a `Function` that returns the object in the given named field or position coerced to the requested `CoercibleType` type.
      Type Parameters:
        `R` - the type of the object returned
      Parameters:
        `fields` - the field to select, only first field will be honored
        `type` - the CoercibleType to coerce the selected value into
      Returns:
        a Function returning the object or null in the selected field

    - #### fieldToObject

          public static <R> java.util.function.Function<TupleEntry,R> fieldToObject(Fields fields,
                                                                                    Class<R> type)

      Method fieldToObject returns a `Function` that returns the object in the given named field or position coerced to the requested `Class`.
      Type Parameters:
        `R` - the type of the object returned
      Parameters:
        `fields` - the field to select, only first field will be honored
        `type` - the Class to coerce the selected value into
      Returns:
        a Function returning the object or null in the selected field

    - #### fieldToInt

          public static java.util.function.ToIntFunction<TupleEntry> fieldToInt(Fields fields)

      Method fieldToInt returns a `Function` that returns the int in the given named field or position.
      Parameters:
        `fields` - the field to select, only first field will be honored
      Returns:
        the int value in the selected field

    - #### fieldToInt

          public static java.util.function.ToIntFunction<TupleEntry> fieldToInt(Comparable name)

      Method fieldToInt returns a `Function` that returns the int in the given named field or position.
      Parameters:
        `name` - the field to select
      Returns:
        the int value in the selected field

    - #### fieldToLong

          public static java.util.function.ToLongFunction<TupleEntry> fieldToLong(Fields fields)

      Method fieldToLong returns a `Function` that returns the long in the given named field or position.
      Parameters:
        `fields` - the field to select, only first field will be honored
      Returns:
        the long value in the selected field

    - #### fieldToLong

          public static java.util.function.ToLongFunction<TupleEntry> fieldToLong(Comparable name)

      Method fieldToLong returns a `Function` that returns the long in the given named field or position.
      Parameters:
        `name` - the field to select
      Returns:
        the long value in the selected field

    - #### fieldToDouble

          public static java.util.function.ToDoubleFunction<TupleEntry> fieldToDouble(Fields fields)

      Method fieldToDouble returns a `Function` that returns the double in the given named field or position.
      Parameters:
        `fields` - the field to select, only first field will be honored
      Returns:
        the double value in the selected field

    - #### fieldToDouble

          public static java.util.function.ToDoubleFunction<TupleEntry> fieldToDouble(Comparable name)

      Method fieldToDouble returns a `Function` that returns the double in the given named field or position.
      Parameters:
        `name` - the field to select
      Returns:
        the double value in the selected field

    - #### writeEntry

          public static Tap writeEntry(java.util.stream.Stream<TupleEntry> stream,
                                       java.util.function.Supplier<Tap> into,
                                       FlowProcess flowProcess)

      Method writeEntry will add each `TupleEntry` instance to the `TupleEntryCollector` provided by the given `Tap` instance.
      Parameters:
        `stream` - a Stream of TupleEntry instances
        `into` - a Supplier that returns the Tap to sink each entry into
        `flowProcess` - represents the current platform configuration
      Returns:
        returns the given Tap

    - #### writeEntry

          public static Tap writeEntry(java.util.stream.Stream<TupleEntry> stream,
                                       Tap into,
                                       FlowProcess flowProcess)

      Method writeEntry will add each `TupleEntry` instance to the `TupleEntryCollector` provided by the given `Tap` instance.
      Parameters:
        `stream` - a Stream of TupleEntry instances
        `into` - the Tap to sink each entry into
        `flowProcess` - represents the current platform configuration
      Returns:
        returns the given Tap

    - #### writeEntry

          public static Tap writeEntry(Iterable<TupleEntry> iterable,
                                       java.util.function.Supplier<Tap> into,
                                       FlowProcess flowProcess)

      Method writeEntry will add each `TupleEntry` instance to the `TupleEntryCollector` provided by the given `Tap` instance.
      Parameters:
        `iterable` - an Iterable of TupleEntry instances
        `into` - a Supplier that returns the Tap to sink each entry into
        `flowProcess` - represents the current platform configuration
      Returns:
        returns the given Tap

    - #### writeEntry

          public static Tap writeEntry(Iterable<TupleEntry> iterable,
                                       Tap into,
                                       FlowProcess flowProcess)

      Method writeEntry will add each `TupleEntry` instance to the `TupleEntryCollector` provided by the given `Tap` instance.
      Parameters:
        `iterable` - an Iterable of TupleEntry instances
        `into` - the Tap to sink each entry into
        `flowProcess` - represents the current platform configuration
      Returns:
        returns the given Tap

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.